Subject: [core] #243: Not clear whether server SHOULD or MUST send a response

From: "core issue tracker" <[email-masked]>
Date: Tue, 04 Sep 2012 14:55:15 -0000

#243: Not clear whether server SHOULD or MUST send a response

 For unicast requests received by a server: Section 5.8.1 / 5.8.3 / 5.8.4
 seem to state that a response SHOULD be sent by a server, or at least it
 can be read in this manner (I did). Section 5.8.2 (POST) seems to
 implicitly state that it MUST respond with something. Section 5.2 states
 "After receiving and interpreting a request, a server responds with a CoAP
 response" which seems to imply a MUST.
 Is there a unified statement possible? E.g. for unicast requests a
 response MUST be generated, regardless of REST Method?

-- 
-------------------------+------------------------------------
 Reporter:  esko.dijk@…  |      Owner:  draft-ietf-core-coap@…
     Type:  editorial    |     Status:  new
 Priority:  minor        |  Milestone:
Component:  coap         |    Version:
 Severity:  -            |   Keywords:
-------------------------+------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/243>
core <http://tools.ietf.org/core/>

---

From: "core issue tracker" <[email-masked]>
Date: Tue, 04 Sep 2012 15:08:20 -0000

Comment (by hartke@…):

 -> Make a pass through the document and make sure that the key word refers
 to the response code of the response being returned, not to whether a
 response is returned at all. Any volunteers?

-- 
-------------------------+-------------------------------------
 Reporter:  esko.dijk@…  |       Owner:  draft-ietf-core-coap@…
     Type:  editorial    |      Status:  new
 Priority:  minor        |   Milestone:
Component:  coap         |     Version:
 Severity:  -            |  Resolution:
 Keywords:               |
-------------------------+-------------------------------------

Ticket URL: <http://tools.ietf.org/wg/core/trac/ticket/243#comment:1>
core <http://tools.ietf.org/core/>

---

From: "Dijk, Esko" <[email-masked]>
Date: Wed, 5 Sep 2012 10:19:44 +0000

I, at least, volunteer to do a pass through the document.
A possible next step is add a clarification text to section 5.2 saying that "a server MUST respond with a CoAP response, apart from the exceptions stated in section 8.2".

I know that in RFC 2616 also no 'MUST' language is used for a HTTP response, but on the other hand HTTP does not have the multicast to confuse these matters a bit.

Esko

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of core issue tracker
Sent: Tuesday 4 September 2012 17:08
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [core] #243: Not clear whether server SHOULD or MUST send a response

Comment (by hartke@…):

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.

---

From: "core issue tracker" <[email-masked]>
Date: Wed, 05 Sep 2012 13:41:19 -0000

Changes (by hartke@…):

 * owner:  draft-ietf-core-coap@… => esko.dijk@…
 * version:   => coap-11
 * severity:  - => In WG Last Call
 * milestone:   => post-WGLC-1

-- 
-----------------------------+--------------------------
 Reporter:  esko.dijk@…      |       Owner:  esko.dijk@…
     Type:  editorial        |      Status:  new
 Priority:  minor            |   Milestone:  post-WGLC-1
Component:  coap             |     Version:  coap-11
 Severity:  In WG Last Call  |  Resolution:
 Keywords:                   |
-----------------------------+--------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/243#comment:3>
core <http://tools.ietf.org/core/>

---

From: "core issue tracker" <[email-masked]>
Date: Thu, 06 Sep 2012 14:54:03 -0000

Changes (by hartke@…):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 Fixed in [881]:

 Fixes #243 . Thanks Esko!

-- 
-----------------------------+--------------------------
 Reporter:  esko.dijk@…      |       Owner:  esko.dijk@…
     Type:  editorial        |      Status:  closed
 Priority:  minor            |   Milestone:  post-WGLC-1
Component:  coap             |     Version:  coap-11
 Severity:  In WG Last Call  |  Resolution:  fixed
 Keywords:                   |
-----------------------------+--------------------------

Ticket URL: </ticket/243#comment:4>
core <http://tools.ietf.org/core/>